<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFileList Method (IEdmBatchUnlock)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock Interface : GetFileList Method (IEdmBatchUnlock)

Visual Basic
C#
C++/CLI

lEdmUnlockFileListFlags
  Combination of EdmUnlockFileListFlag bits

Gets the list of files to be unlocked.

# Syntax

Visual Basic |
--- | ---

    Function GetFileList( _
       ByVal lEdmUnlockFileListFlags As System.Integer _
    ) As EdmSelectionList5

C# |
--- | ---

    EdmSelectionList5 GetFileList(
       System.int lEdmUnlockFileListFlags
    )

C++/CLI |
--- | ---

    EdmSelectionList5^ GetFileList(
    &   System.int lEdmUnlockFileListFlags
    )

#### Parameters

lEdmUnlockFileListFlags
  Combination of EdmUnlockFileListFlag bits

#### Return Value

IEdmSelectionList5

# Example

See the IEdmBatchUnlock examples.

# Remarks

See the IEdmBatchUnlock remarks for information about using this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock Interface
IEdmBatchUnlock Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional